Subject: bug#22789: 25.1.50; In last master build https connections stop working

From: Alain Schneble <[email-masked]>
Date: Tue, 1 Mar 2016 16:43:50 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Alain Schneble <[email-masked]>
>> Date: Tue, 1 Mar 2016 00:20:45 +0100
>> Cc: [email-masked], [email-masked]
>> 
>> See also patch in the previous message.  If we decide to go this
>> direction, then I think we should also inhibit the first call to
>> gnutls_try_handshake from gnutls_boot, for async sockets.  This call is
>> currently implicit and will probably fail (return with EAGAIN) in all
>> practical cases.
>
> That patch exposes a w32-specific stuff to process.c, so it cannot be
> right.

Thanks.  I was unaware of that.  I should have done a grep on the usage
of FILE_CONNECT first before proposing this patch.  That reveals clearly
that it is w32-specific.  I'm sorry.